#include </usr/src/sys/net/ethernet.h>

#define PROTO_USB_CONF 0x03
#define CONTROL_USB_GET_MAC_ADDR_UT_02 0x63
#define CONTROL_USB_GET_MAC_ADDR_UT_04 0x4d
#define UT_DEVICE_UT_02 0x0101
#define UT_DEVICE_UT_04 0x0401


#define IB_PROTO 0xac
#define IB_PROTO_CONTROL 0x00
#define STATUS_READY 0x06

#define STATUS1 0x05



#define RX 0
#define TX 1
#define INTR 2

//08 22 98 dd 08 06 00 01

#define FLAG_BROADCAST  0x08
#define FLAG_EXTENSION  0x80


struct ib_net_radio_t {
        unsigned char word[2];
        unsigned char packet;
        unsigned char check;
        unsigned char proto[2];
        unsigned char payload[0];
};

#define IB_NET_RADIO_HEAD sizeof(struct ib_net_radio_t)


struct ib_net_ether_t {
        unsigned char dest[ETHER_ADDR_LEN];
        unsigned char source[ETHER_ADDR_LEN];
        unsigned char proto[2];
        unsigned char payload[0];
};
